﻿using System.Runtime.Serialization;

namespace KRE.Replicate.Contracts.Data
{
    [DataContract]
    public class RavenNode
    {
        [DataMember]
        public string Url { get; set; }
        [DataMember]
        public string Name { get; set; }

        public RavenNode(string url, string name)
        {
            Url = url;
            Name = name;
        }

        public override string ToString()
        {
            return $"{nameof(RavenNode)} {{{Url}/{Name}}}";
        }
    }
}
