﻿using System.Collections.Generic;
using System.ServiceModel;
using KRE.Replicate.Contracts.Data;

namespace KRE.Replicate.Contracts.Services
{
    [ServiceContract(Namespace = "http://replicate.kryel.com/v1/Bar")]
    public interface IBarService
    {
        [OperationContract]
        void AddBar(Bar bar);

        [OperationContract]
        void AddBars(List<Bar> bars);

        [OperationContract]
        Bar GetBar(int id);

        [OperationContract]
        List<Bar> GetAllBars();

        [OperationContract]
        void DeleteBar(int id);
    }
}
