﻿using System.Collections.Generic;
using System.ServiceModel;
using KRE.Replicate.Contracts.Data;

namespace KRE.Replicate.Contracts.Services
{
    [ServiceContract(Namespace = "http://replicate.kryel.com/v1/Foo")]
    public interface IFooService
    {
        [OperationContract]
        void AddFoo(Foo foo);

        [OperationContract]
        void AddFoos(List<Foo> foos);

        [OperationContract]
        Foo GetFoo(int id);

        [OperationContract]
        List<Foo> GetAllFoos();

        [OperationContract]
        void DeleteFoo(int key);
    }
}
