﻿using System.ServiceModel;
using KRE.Replicate.Contracts.Data;

namespace KRE.Replicate.Contracts.Services
{
    [ServiceContract(Namespace = "http://replicate.kryel.com/v1/Manage")]
    public interface IManagementService
    {
        [OperationContract]
        void Reset();
        [OperationContract]
        void ReplicteTo(RavenNode other);
        [OperationContract]
        void SetFirewallRuleForRaven(bool enable);
    }
}
